from counter.models import DeviceInfo


class RoleMixin(object):
    def get_role(self):
        user = self.request.user
        user_roles = user.role.split(',')

        return user_roles


class DeviceListMixin(object):
    def get_device_list(self):
        device_list = DeviceInfo.objects.get_queryset().order_by('-online')

        return device_list
